package com.akamai.hdcore.samples.utility
{
	/**
	 * 
	 */	
    public final class AkamaiMediaSamples
    {
        public static const AKAMAI_HDN_USMIL_FULL:Object 				= {label:"Akamai HDN MBR USMIL", url:"http://tceast-f.hdflash.edgesuite.net/will/robin_hood_25fps_,300~300~320~180,600~600~640~360,1200~1200~640~360,1800~1800~640~360,2400~2400~1280~720,3000~3000~1280~720,.f4v.usmil", mediaType:"akamai-hdn-multi-bitrate"};
        public static const AKAMAI_HDN_USMIL_NO_WIDTH_OR_HEIGHT:Object 	= {label:"Akamai HDN MBR USMIL", url:"http://tceast-f.hdflash.edgesuite.net/will/robin_hood_25fps_,300~300,600~600,1200~1200,1800~1800,2400~2400,3000~3000,.f4v.usmil", mediaType:"akamai-hdn-multi-bitrate"};
        public static const AKAMAI_HDN_MULTI_BITRATE_VOD_1:Object 		= {label:"Akamai HDN Multi-Bitrate VOD", url:"http://mediapm.edgesuite.net/edgeflash/public/debug/assets/smil/elephants2.smil", mediaType:"akamai-hdn-multi-bitrate"};
        public static const AKAMAI_HDN_MULTI_BITRATE_VOD_2:Object 		= {label:"Akamai HDN Multi-Bitrate VOD", url:"http://mediapm.edgesuite.net/edgeflash/public/debug/assets/smil/nelly2.smil", mediaType:"akamai-hdn-multi-bitrate"};
        public static const AKAMAI_HDN_MULTI_BITRATE_LIVE:Object 		= {label:"Akamai HDN Multi-Bitrate Live", url:"http://multiformatlive-f.akamaihd.net/demostream_1_,300~300,800~800,1200~1200,@2131.usmil", mediaType:"akamai-hdn-multi-bitrate"};
        public static const AKAMAI_HDN_SINGLE_BITRATE_VOD:Object 		= {label:"Akamai HDN Single-Bitrate VOD", url:"http://tceast-f.hdflash.edgesuite.net/tron_h1080p_2500.mp4", mediaType:"akamai-hdn-single-bitrate"};
        public static const AKAMAI_HDN_SINGLE_BITRATE_LIVE:Object 		= {label:"Akamai HDN Single-Bitrate Live", url:"http://multiformatlive-f.akamaihd.net/demostream_1_800@2131", mediaType:"akamai-hdn-single-bitrate"};
        public static const AKAMAI_HDN_MULTI_BITRATE_VOD_SUBCLIP:Object = {label:"Akamai HDN Multi-Bitrate VOD Sub-Clip", url:"http://mediapm.edgesuite.net/edgeflash/public/debug/assets/smil/elephants2-sub-clips.smil", mediaType:"akamai-hdn-multi-bitrate"};
			
        
        public static const F4M_ADOBE_HTTP_STREAMING_VOD_1:Object 		= {label:"F4M Adobe HTTP Streaming VOD", url:"http://zerihdndemo-f.akamaihd.net/z/h264/darkknight/darkknight.smil/manifest.f4m", mediaType:"akamai-hdn-adobe-http"};
        public static const F4M_ADOBE_HTTP_STREAMING_VOD_2:Object 		= {label:"F4M Adobe HTTP Streaming VOD", url:"http://zerihdndemo-f.akamaihd.net/z/h264/amours/amours.smil/manifest.f4m", mediaType:"akamai-hdn-adobe-http"};
        public static const F4M_ADOBE_HTTP_STREAMING_VOD_3:Object 		= {label:"F4M Adobe HTTP Streaming VOD", url:"http://zerihdndemo-f.akamaihd.net/z/h264/robinhood/robinhood.smil/manifest.f4m", mediaType:"akamai-hdn-adobe-http"};
        public static const F4M_ADOBE_HTTP_STREAMING_VOD_4:Object 		= {label:"F4M Adobe HTTP Streaming VOD", url:"http://zerihdndemo-f.akamaihd.net/z/h264/wallstreet/wallstreet.smil/manifest.f4m", mediaType:"akamai-hdn-adobe-http"};
        public static const F4M_ADOBE_HTTP_STREAMING_VOD_5:Object 		= {label:"F4M Adobe HTTP Streaming VOD", url:"http://zerihdndemo-f.akamaihd.net/z/h264/rockandroll/rockandroll.smil/manifest.f4m", mediaType:"akamai-hdn-adobe-http"};
        public static const F4M_ADOBE_HTTP_STREAMING_LIVE_1:Object 		= {label:"F4M Adobe HTTP Streaming Live", url:"http://multiformatlive-f.akamaihd.net/z/demostream_1@2131/manifest.f4m", mediaType:"akamai-hdn-adobe-http"};
        
        public static const F4M_RTMP_DYNAMIC_STREAMING_VOD:Object 		= {label:"F4M RTMP Dynamic Streaming VOD", url:"http://mediapm.edgesuite.net/osmf/content/test/manifest-files/dynamic_Streaming.f4m", mediaType:"unknown"};
		public static const F4M_AKAMAI_HDN_MULTI_BITRATE_VOD:Object 	= {label:"F4M Akamai HDN Multi-Bitrate VOD", url:"http://mediapm.edgesuite.net/ovp/content/demo/f4m/akamai_hdn_vod_sample.f4m", mediaType:"unknown"};
        
		public static const RTMP_DYNAMIC_STREAMING_VOD_1:Object 		= {label:"RTMP Dynamic Streaming VOD", url:"http://mediapm.edgesuite.net/osmf/content/test/smil/elephants_dream.smil", mediaType:"akamai-multi-bitrate"};
		public static const RTMP_DYNAMIC_STREAMING_VOD_2:Object 		= {label:"RTMP Dynamic Streaming VOD", url:"http://www.streamflashhd.com/video/train.smil", mediaType:"akamai-multi-bitrate"};
		public static const RTMP_DYNAMIC_STREAMING_VOD_3:Object 		= {label:"RTMP Dynamic Streaming VOD", url:"http://mediapm.edgesuite.net/osmf/content/test/smil/sweet.smil", mediaType:"akamai-multi-bitrate"};
		public static const RTMP_DYNAMIC_STREAMING_VOD_4:Object		 	= {label:"RTMP Dynamic Streaming VOD", url:"http://mediapm.edgesuite.net/ovp/content/demo/smil/elephants-dream-sub-clips.smil", mediaType:"akamai-multi-bitrate"};
        
		public static const FLV_PROGRESSIVE_DOWNLOAD_1:Object 			= {label:"FLV Progressive Download", url:"http://mediapm.edgesuite.net/strobe/content/test/AFaerysTale_sylviaApostol_640_500_short.flv", mediaType:"akamai-progressive"};
		public static const FLV_PROGRESSIVE_DOWNLOAD_2:Object 			= {label:"FLV Progressive Download", url:"http://mediapm.edgesuite.net/osmf/content/test/akamai_10_year_f8_512K.flv", mediaType:"akamai-progressive"};
        
		public static const FLV_STREAMING_VOD_1:Object 					= {label:"FLV Streaming VOD", url:"rtmp://cp67126.edgefcs.net/ondemand/mediapm/osmf/content/test/akamai_10_year_f8_512K", mediaType:"akamai-ondemand-streaming"};
        public static const FLV_STREAMING_VOD_2:Object 					= {label:"FLV Streaming VOD", url:"rtmp://cp67126.edgefcs.net/ondemand/mediapm/strobe/content/test/SpaceAloneHD_sounas_640_500_short", mediaType:"akamai-ondemand-streaming"};
        
        public static const MP4_PROGRESSIVE_DOWNLOAD:Object 			= {label:"MP4 Progressive Download", url:"http://mediapm.edgesuite.net/osmf/content/test/spacealonehd_sounas_640_700.mp4", mediaType:"akamai-progressive"};
        public static const MP4_STREAMING_VOD:Object 					= {label:"MP4 Streaming VOD", url:"rtmp://cp67126.edgefcs.net/ondemand/mp4:mediapm/osmf/content/test/spacealonehd_sounas_640_700.mp4", mediaType:"akamai-ondemand-streaming"};
        
        public static const F4V_PROGRESSIVE_DOWNLOAD:Object 			= {label:"F4V Progressive Download", url:"http://mediapm.edgesuite.net/osmf/content/test/sample1_700kbps.f4v", mediaType:"akamai-progressive"};
        public static const F4V_STREAMING_VOD:Object 					= {label:"F4V Streaming VOD", url:"rtmp://cp67126.edgefcs.net/ondemand/mp4:mediapm/osmf/content/test/sample1_700kbps.f4v", mediaType:"akamai-ondemand-streaming"};
        
        public static const RTMP_SECURE_STREAM_VOD:Object 				= {label:"RTMP Secure Stream VOD", url:"rtmp://cp78634.edgefcs.net/ondemand/mp4:mediapmsec/osmf/content/test/SpaceAloneHD_sounas_640_700.mp4", token:"auth=daEcScnchcpd8dkcBa3b1azdScKcyaSd0aM-bmqrYo-b4toa-zpptqAAEno&aifp=v0001" , mediaType:"akamai-ondemand-streaming"};
        public static const RTMP_LIVE:Object 							= {label:"RTMP Live", url:"rtmpe://cp134706.live.edgefcs.net/live/demostream_1_800@2131", token:"auth=yyyy&amp;aifp=zzzz", mediaType:"akamai-live-streaming"};
		public static const RTMP_DYNAMIC_STREAMING_LIVE:Object 			= {label:"RTMP Dynamic Streaming LIVE", url:"http://mediapm.edgesuite.net/edgeflash/public/smil/live-demo-2131.smil", token:"auth=daEasd8agbWaCascZdCabc8b1atd8bddVb8-bltH3v-G9ya-dtrBIvvA_1aLQQ&aifp=v001&slist=1vowg_token@s17605;2vowg_token@s17605;3vowg_token@s17605", mediaType:"akamai-multi-bitrate"};
        
        public static const MOV_PROGRESSIVE_DOWNLOAD:Object 			= {label:"MOV Progressive Download", url:"http://mediapm.edgesuite.net/osmf/content/test/akamai_10_year_500.mov", mediaType:"akamai-progressive"};
        public static const MOV_STREAMING_VOD:Object 					= {label:"MOV Streaming VOD", url:"rtmp://cp67126.edgefcs.net/ondemand/mp4:mediapm/osmf/content/test/akamai_10_year_500.mov", mediaType:"akamai-ondemand-streaming"};
        
        public static const AUDIO_STREAMING_VOD:Object 					= {label:"Audio Streaming VOD", url:"rtmp://cp67126.edgefcs.net/ondemand/mp3:mediapm/osmf/content/test/train_1500", mediaType:"akamai-ondemand-streaming"};
        
        public static const INVALID_PROGRESSIVE_DOWNLOAD:Object 		= {label:"Invalid Progressive Download", url:"http://bogus.com/foobar.flv", mediaType:"unknown"};
        public static const INVALID_STREAMING:Object 					= {label:"Invalid Streaming", url:"rtmp://bogus/vod/mp4:foobar.m4v", mediaType:"unknown"};
        public static const INVALID_ADOBE_HTTP_STREAMING:Object 		= {label:"Invalid Adobe HTTP Streaming", url:"http://zerihdndemo-f.akamaihd.net/z/h264/bogus/foobar.smil/bogus.f4m", mediaType:"unknown"};
        public static const INVALID_RTMP_DYNAMIC_STREAMING:Object 		= {label:"Invalid RTMP Dynamic Streaming", url:"http://mediapm.edgesuite.net/edgeflash/public/bogus/assets/smil/foobar.smil", mediaType:"unknown"};
        public static const INVALID_FLASH_RESOURCE:Object 				= {label:"Invalid Flash Resource", url:"http://mediapm.edgesuite.net/ovp/content/test/video/supportplayer/wms/fist_bump_500k.wmv", mediaType:"unknown"};

		
		
		public static const TOKEN_SERVICE_URL:String = "http://token.edgeflash.akamai.com.edgesuite.net/stoken?url=";
		
		public static const SECURE_USER_AND_PASSWARD:String = "&user=akamai&pass=secure";
			
		public static const SECURE_SMIL:String = "http://mediapm.edgesuite.net/edgeflash/public/debug/assets/smil/secure/elephants_dream.smil";
		
		public static const SINGLE_SECURE_MEDIA_FILE:String = "https://akamaidemosec-f.akamaihd.net/elephants_dream/Elephants_Dream_h264_1080p_300.mp4"; 
    }
}
