package
{
	import com.akamai.display.AkamaiVideoSurface;
	import com.akamai.net.f4f.hds.AkamaiHTTPNetStream;
	import com.akamai.net.f4f.hds.AkamaiStreamController;
	import com.akamai.net.f4f.hds.events.AkamaiHDSEvent;
	
	import flash.display.Sprite;
	import flash.net.NetStream;
	
	[SWF(width="640", height="360", frameRate="20", backgroundColor="#1a1a1a")]
	
	public class GettingStarted extends Sprite
	{
		private var MEDIA:String = "http://multiplatform-f.akamaihd.net/z/multi/april11/hdworld/hdworld_,512x288_450_b,640x360_700_b,768x432_1000_b,1024x576_1400_m,1280x720_1900_m,1280x720_2500_m,1280x720_3500_m,.mp4.csmil/manifest.f4m";
		
		private var streamController:AkamaiStreamController;
		private var akamaiVideoSurface:AkamaiVideoSurface;
		private var netstream:AkamaiHTTPNetStream;
		
		public function GettingStarted()
		{
			streamController = new AkamaiStreamController();
			streamController.addEventListener(AkamaiHDSEvent.NETSTREAM_READY, onNetStreamReady);
			streamController.play(MEDIA);
		}
		
		private function onNetStreamReady(event:AkamaiHDSEvent):void
		{							
			netstream = streamController.netStream as AkamaiHTTPNetStream;
			
			akamaiVideoSurface = new AkamaiVideoSurface(true);
			akamaiVideoSurface.width = 640; 
			akamaiVideoSurface.height = 360;
			akamaiVideoSurface.attachNetStream(netstream);
			this.addChildAt(akamaiVideoSurface, 0);
		}
	}
}