package com.akamai.player
{
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.events.MouseEvent;

	public class Button extends Sprite
	{
		private var icon:Bitmap;
		private var clickLayer:Sprite;
		
		public function Button(width:Number,height:Number,iconBitmap:Bitmap)
		{
			super();
			this.useHandCursor = true;
			this.buttonMode = true;
			this.addEventListener(MouseEvent.MOUSE_OVER,onMouseOver);
			this.addEventListener(MouseEvent.MOUSE_OUT,onMouseOut);
			icon = iconBitmap;
			icon.x = (width - icon.width)/2;
			icon.y = (height- icon.height)/2;
			addChild(icon);
			clickLayer = new Sprite();
			clickLayer.graphics.beginFill(0xFF0000,0);
			clickLayer.graphics.drawRect(0,0,width,height);
			clickLayer.addEventListener(MouseEvent.MOUSE_DOWN,onClick);
			this.alpha = .75
			addChild(clickLayer);
		}
		private function onClick(event:MouseEvent):void
		{
			dispatchEvent(event);
		}
		private function onMouseOver(event:MouseEvent):void
		{
			this.alpha = 1;
		}
		private function onMouseOut(event:MouseEvent):void
		{
			this.alpha = .75;
		}
	}
}